%global git_date 20120830
%global git_hash 3b11cf8

Name:           smartsim
URL:            http://smartsim.org.uk/
Version:        1.2.1
Release:        1%{?dist}
Group:          Applications/Engineering
License:        GPLv3
Summary:        Digital logic circuit design and simulation package
Source0:        https://github.com/ashleynewson/SmartSim/tarball/%{git_hash}/smartsim-%{git_hash}.tar.gz
BuildRequires:  gtk2-devel libxml2-devel librsvg2-devel
BuildRequires:  ImageMagick desktop-file-utils

%description
SmartSim is a free and open source digital logic circuit design and
simulation package.

SmartSim lets you create complex circuits by allowing you to create
your own custom components and including them in other circuits, as if
they were any other built-in component. These larger circuits can then
also be included in other designs as sub-components. SmartSim also
offers the ability to print out or export your circuit designs to PDF,
PNG, or SVG.

When you have finished designing your circuit, SmartSim offers an
interactive simulation feature, allowing you to control your circuit
and explore inside sub-components whilst the circuit is
running. SmartSim also allows you to produce logic timing diagrams
from your simulation's activity, which can then be exported to PDF,
PNG, and SVG formats.

%prep
%setup -q -n ashleynewson-SmartSim-%{git_hash}
./configure --prefix=%{_prefix} --libdir=%{_libdir}

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

# create desktop file
cat <<EOF >smartsim.desktop
[Desktop Entry]
Name=smartsim
GenericName=SmartSim
Exec=smartsim
Icon=smartsim
Terminal=false
Type=Application
Categories=Engineering;
EOF

%install
make install DESTDIR="%{buildroot}"

install -d -m 755 %{buildroot}%{_datadir}/applications
install -p -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications

install -d -m 755 %{buildroot}%{_datadir}/pixmaps
convert %{buildroot}%{_datadir}/%{name}/%{name}.ico  %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%doc COPYING README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Sep 04 2012 Eric Smith <eric@brouhaha.com> 1.2.1-1
- initial version
